(executables
  (names hypertree)
  (libraries js_of_ocaml-lwt)
  (preprocess (pps js_of_ocaml-ppx)))

(rule
  (targets hypertree.js)
  (action
    (run %{bin:js_of_ocaml} --noruntime %{lib:js_of_ocaml-compiler:runtime.js}
         --source-map %{dep:hypertree.bc} -o %{targets} --pretty
         -I ./ --file %{dep:image_info.json} --file %{dep:messages.json} --file %{dep:tree.json})))

(alias
  (name default)
  (deps hypertree.js index.html (glob_files icons/*.{png,jpg}) (glob_files thumbnails/*.{png,jpg}) ))
